Anova.bf.Ftest <-
function(e,group){
#Get test data and factor names
dname<-deparse(substitute(e))
xname<-deparse(substitute(group))
#Store test data and factor levels in a data frame
e.list<-data.frame(e,group)
#Compute group medians & deviations from medians
meds<-with(e.list,tapply(e,group,median))
dev<-with(e.list,abs(e-meds[group]))
#Fit to a linear model
info<-anova(lm(dev~group,e.list))
#Extract and store results
results<-list(statistic=c(F=info[1,4]),
  parameters=c(df=info[,1]),p.value=info[1,5],
   method=paste("Brown-Forsyth test across factor",
    xname),data.name=dname,alternative=c("Variances are unequal"))
class(results)<-"htest";return(results)}

