snazzy.hist <-
function(x){
win.graph(width=4,height=4);par(ps=10,cex=.75)
chart<-hist(x,plot=FALSE)
attach(chart)
#Number of bins
bins<-length(breaks)
#Class width
bin.width<-breaks[2]-breaks[1]
xmin<-breaks[1]-bin.width; xmax<-breaks[bins]+bin.width
xinc<-(xmax-xmin)/100
xv<-seq(xmin,xmax,xinc)
yv<-dnorm(xv,mean=mean(x),sd=sd(x))
xticks<-seq(xmin,xmax,bin.width)
#If max(density)>0.5 use 1 dec. place
ydec<-ifelse(max(density)>0.5,1,
#Else if 0.05<max(density)<=0.5 use 2 decimal places
ifelse((max(density)>0.05)&(max(density)<=0.5),2,
#Else use 3 decimal places
3))
#Get the y-increment
yinc<-round(max(density)/5,ydec)
#Get the maximum y-value
ymax<-round(max(density),ydec)+yinc
#Obtain and store the tick mark locations
yticks<-seq(0,ymax,yinc)
plot(chart,freq=FALSE,axes=FALSE,main=NULL,xlab=NULL,
ylab=NULL,xlim=c(min(xv),max(xv)),ylim=c(0,ymax))
axis(1,at=xticks); axis(2,at=yticks)
title(main=paste("Histogram and Normal Curve for",
#The deparse function pulls out the actual variable name
deparse(substitute(x))), xlab=deparse(substitute(x)),
ylab="Probability Density")
lines(xv,yv,lty=3)
mtext(bquote(bar(.(substitute(x)))==.(round(mean(x),2))),
at=max(xv),line=0,adj=1)
mtext(bquote(s==.(round(sd(x),2))),
at=max(xv),line=-1,adj=1)
mtext(bquote(med==.(round(median(x),2))),
at=max(xv),line=-2,adj=1)
detach(chart)}

