bf.Ftest <-
function(e,x,cutoff){
#Get test data and sorting data list names
dname<-deparse(substitute(e)); xname<-deparse(substitute(x))
#Partition list into two groups using the ifelse function
group<-ifelse(x<=cutoff,"A","B")
#Store partitioned data in a data frame
e.list<-data.frame(e,group)
#Compute group medians & deviations from medians
meds<-with(e.list,tapply(e,group,median))
dev<-with(e.list,abs(e-meds[group]))
#Fit to a linear model
info<-anova(lm(dev~group,e.list))
#Extract and store results
results<-list(statistic=c(F=info[1,4]),
   parameters=c(df=info[,1]),p.value=info[1,5],
method=paste("Brown-Forsyth test using ranking by",
   xname,"split at",xname," = ",cutoff),data.name=dname,
alternative=c("Variances are unequal"))
class(results)<-"htest";return(results)}

